# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=dbus
pkgver=1.14.0
pkgrel=1
pkgdesc="Freedesktop.org message bus system"
arch=('x86_64')
url="https://wiki.freedesktop.org/www/Software/dbus/"
license=('GPL' 'custom')
groups=('base')
depends=('glibc')
makedepends=('bash' 'binutils' 'coreutils' 'diffutils' 'gawk' 'gcc' 'grep' 'make' 'sed' 'util-linux')
source=(https://dbus.freedesktop.org/releases/${pkgname}/${pkgname}-${pkgver}.tar.xz)
sha256sums=(ccd7cce37596e0a19558fd6648d1272ab43f011d80c8635aea8fd0bad58aebd4)

build() {
    cd ${pkgname}-${pkgver}

    ${configure}                \
        --sysconfdir=/etc       \
        --localstatedir=/var    \
        --runstatedir=/run      \
        --disable-static        \
        --disable-doxygen-docs  \
        --disable-xml-docs      \
        --with-system-socket=/run/dbus/system_bus_socket

    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install

    install -vdm755 ${pkgdir}/var/lib/dbus
    ln -sfv /etc/machine-id ${pkgdir}/var/lib/dbus

    rm -rf ${pkgdir}/var/run
}
